package de.hsel.spm.baudas.analysis;

import weka.core.Instance;
import weka.core.Instances;

import java.io.File;
import java.util.AbstractMap;
import java.util.HashMap;
import java.util.Map;

/**
 * Week WeekOverviewDiagram Analysis.
 *
 * @author Julian Hinxlage
 * @version 0.1
 * @since 0.1
 **/
public class WeekOverview implements Analysis<Map<String, Map.Entry<Double, Integer>>> {

    private Instances instances;
    private Map<String, Map.Entry<Double, Integer>> result;

    public WeekOverview(File file) {

        instances = load(file);
    }

    /**
     * get results for analysis.
     *
     * @return day, amount, count
     */
    @Override
    public Map<String, Map.Entry<Double, Integer>> getResult() {
        if (result != null) {
            return result;
        }
        result = new HashMap<>();

        for (int i = 0; i < instances.numInstances(); i++) {
            Instance instance = instances.get(i);
            double amount = instance.value(Attribute.PURCHASE_AMOUNT);
            String day = instance.stringValue(Attribute.SHOPPING_DAY);


            if (!result.containsKey(day)) {
                result.put(day, new AbstractMap.SimpleEntry<>(0.0, 0));
            }
            result.put(day,
                    new AbstractMap.SimpleEntry<>(
                            result.get(day).getKey() + amount,
                            result.get(day).getValue() + 1
                    )
            );
        }


        return result;
    }
}
