package de.hsel.spm.baudas.web;

import com.google.gson.Gson;
import de.hsel.spm.baudas.analysis.Cluster;
import org.jetbrains.annotations.NotNull;

import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.File;
import java.io.IOException;
import java.io.PrintWriter;
import java.nio.charset.StandardCharsets;
import java.util.*;

/**
 * changes data from cluster analysis into a readable format
 *
 * @author Julian Hinxlage
 * @version 0.1
 * @since 0.1
 **/
@WebServlet("/clusters")
public class ClusterDiagram extends HttpServlet {
    @Override
    protected void doGet(@NotNull HttpServletRequest req, @NotNull HttpServletResponse resp) throws IOException {
        req.setCharacterEncoding(StandardCharsets.UTF_8.name());
        resp.setCharacterEncoding(StandardCharsets.UTF_8.name());
        resp.setContentType("application/json");
        PrintWriter out = resp.getWriter();

        Map<Integer, Map<String, String>> result = new HashMap<>();
        Gson gson = new Gson();

        if (req.getParameter("id") == null) {
            out.print(gson.toJson(result));
            return;
        }
        UUID uuid = UUID.fromString(req.getParameter("id"));
        File file = Data.get(uuid);

        Cluster cluster = new Cluster(file);
        result = cluster.getResult();
        out.print(gson.toJson(result));
    }
}
