package de.hsel.spm.baudas.web;

import java.io.IOException;

import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

/**
 * Servlet implementation class LogoutServlet.
 *
 * @author Edgar Schkrob
 */

@WebServlet("/logout")
public class LogoutServlet extends HttpServlet {

    /**
     * This is a Servlet that manages the Logout and deletes Sessions.
     * @param request This parameter provides access to everything the code needs to work.
     * @param response This parameter provides access to everything the code needs to issue a response.
     * @throws IOException Signals that an I/O exception of some sort has occurred. This class is the general class of exceptions produced by failed or interrupted I/O operations.
     */

    protected void doGet(HttpServletRequest request, HttpServletResponse response) throws IOException {
        HttpSession session = request.getSession(false);
        if(session != null){
            session.invalidate();
        }
        response.sendRedirect(request.getContextPath() + "/");
    }
}
