package de.hsel.spm.baudas.web;

import com.google.gson.Gson;
import de.hsel.spm.baudas.analysis.ShoppingCart;
import org.jetbrains.annotations.NotNull;

import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.File;
import java.io.IOException;
import java.io.PrintWriter;
import java.nio.charset.StandardCharsets;
import java.util.*;

/**
 * Changes data to readable format for table
 *
 * @author Karsten Eden
 * @version 0.1
 * @since 0.1
 */
@WebServlet("/shopping_cart")
public class ShoppingCartDiagram extends HttpServlet {

    private static final long serialVersionUID = 5026732432605473505L;

    protected void doGet(@NotNull HttpServletRequest req, @NotNull HttpServletResponse resp) throws IOException {
        req.setCharacterEncoding(StandardCharsets.UTF_8.name());
        resp.setCharacterEncoding(StandardCharsets.UTF_8.name());
        resp.setContentType("application/json");
        PrintWriter out = resp.getWriter();

        Gson gson = new Gson();
        List<Columns> colList = new ArrayList<>();

        if (req.getParameter("id") == null) {
            out.print(gson.toJson(colList));
            return;
        }

        UUID uuid = UUID.fromString(req.getParameter("id"));
        File file = Data.get(uuid);

        ShoppingCart cart = new ShoppingCart(file);
        Map<List<String>, List<String>> result = new HashMap<>();
        result = cart.getResult();

        List<String> col1 = new ArrayList<>();
        List<String> col2 = new ArrayList<>();

        for(Map.Entry<List<String>, List<String>> entry : result.entrySet()){
            col1.add(entry.getKey().toString());
            col2.add(entry.getValue().toString());
        }

        for(int i = 0; i < col1.size(); i++ ){
            colList.add(new Columns(col1.get(i).replaceAll("\\[", "").replaceAll("\\]", ""), col2.get(i).replaceAll("\\[", "").replaceAll("\\]", "")));
        }

        out.print(gson.toJson(colList));
    }
}
