<%@ page import="java.nio.charset.StandardCharsets" %>
<%@ page contentType="text/html;charset=UTF-8" %>
<%@include file="menu.jsp" %>
<% response.setCharacterEncoding(StandardCharsets.UTF_8.name()); %>
<% request.setCharacterEncoding(StandardCharsets.UTF_8.name()); %>

<!--Cards-->
<!--Analyse-Cards-->
<div id="analysis" class="row container black-text">
    <!--Übersicht-->
    <div class="col s12 m12">
        <div id="overview" class="card white">
            <div class="center">
                <span class="card-title center">Wochenübersicht</span>
            </div>

            <div class="card-content">
                <div>
                    <canvas class="black-text" id="overview_chart" width="1000" height="400"></canvas>
                </div>
            </div>
        </div>
    </div>

    <!--Einkaufszeiten-->
    <div class="col s12 m6">
        <div id="shopping_times" class="card white">
            <div class="card-content">
                <div class="center">
                    <span class="card-title">Einkaufszeiten</span>
                </div>
                <div class="center">
                    <div class="input-field col s12">
                        <select id="day" onchange="changeDay()">
                            <option value="0">Montag</option>
                            <option value="1">Dienstag</option>
                            <option value="2">Mittwoch</option>
                            <option value="3">Donnerstag</option>
                            <option value="4">Freitag</option>
                            <option value="5">Samstag</option>
                        </select>
                        <label for="day">Wochentag</label>
                    </div>
                </div>
                <div>
                    <canvas id="shopping_times_chart" width="1000" height="400"></canvas>
                </div>
            </div>
        </div>
    </div>

    <!--Verkaufszahlen-->
    <div class="col s12 m12">
        <div id="top_articles" class="card white">
            <div class="center">
                <span class="card-title center">Verkaufszahlen</span>
            </div>
            <div class="card-content">
                <div>
                    <canvas id="top_flop_chart" width="1000" height="400"></canvas>
                </div>
            </div>
        </div>
    </div>

    <!--Gruppenübersicht-->
    <div class="col s12 m12">
        <div id="group_overview" class="card white">
            <div class="card-content">
                <div class="center">
                    <span class="card-title center">Gruppenübersicht</span>
                </div>
                <div>
                    <table id="cluster_table">
                    </table>
                </div>
            </div>

            <!--Warenkorbanlyse-->
            <div id="shopping_card_analysis" class="col s12 m12">
                <div class="card white">
                    <div class="center">
                        <span class="card-title center">Warenkorbanalyse</span>
                    </div>
                    <div class="card-content">
                        <table id="shopping_cart_table">
                        </table>
                    </div>
                </div>
            </div>

            <!--Marketing-Cards-->
            <div id="marketing" class="row container">
                <div class="row">
                    <div class="col s12 m6">
                        <div id="marketing_tip_3" class="card white">
                            <div class="card-content">
                                <div class="center">
                                    <span class="card-title center">Werbung</span>
                                </div>
                                <div>
                                    <p>
                                        Werbung dient dazu, auf bestimmte Produkte, Angebote oder den Markt im
                                        Allgemeinen aufmerksam zu machen. Sie kann über verschiedene Wege verbreitet
                                        werden, etwa das Internet, Zeitungsannoncen oder auch per TV/Radio.
                                        Im Gegensatz zu Rabatten (die zeitabhängig am besten funktionieren) ist Werbung
                                        stark von der Zielgruppe abhängig. Insbesondere in der Kombination mit anderen
                                        Marketingmaßnahmen kann sie so ihre volle Wirkung entfalten.
                                        <br>
                                        <br>
                                        Analysen, die für Werbung nützlich sein könnten:
                                        Clusteranalyse, Wochenübersicht, Verkaufszahlen
                                    </p>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col s12 m6">
                        <div id="marketing_tip_4" class="card white">
                            <div class="card-content">
                                <div class="center">
                                    <span class="card-title center">Sortimentsveränderung</span>
                                </div>
                                <div>
                                    <p>
                                        Gibt es eine Produktgruppe, die sich besonders gut verkauft, so sollte unter
                                        Umständen über die Erweiterung des Sortiments innerhalb dieser Gruppe
                                        nachgedacht werden.
                                        Im Umkehrschluss dazu bietet sich an, schlecht verkaufte Produkte, welche keinen
                                        hohen Gewinn abwerfen aus dem täglichen Verkaufsgeschäft wieder zu entfernen.
                                        Dies verringert die Bildung von „Ladenhütern“ und schafft Platz für neue, sich
                                        besser verkaufende Produkte.
                                        <br>
                                        <br>
                                        Analysen, die bei der Sortimentswahl nützlich sein könnten:
                                        Verkaufszahlen, Clusterübersicht
                                    </p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col s12 m6">
                        <div id="marketing_tip_1" class="card white">
                            <div class="card-content">
                                <div class="center">
                                    <span class="card-title center">Rabatt</span>
                                </div>
                                <div>
                                    <p>
                                        Rabatte können z.B. an Tagen angeboten werden, an denen nur wenige Kunden
                                        erscheinen. Dadurch wird einerseits an dieses Tagen oder Uhrzeiten das
                                        Kaufverhalten angeregt, als auch der Andrang an anderen reduziert. Dies dient
                                        insbesondere der Entzerrung des zeitabhängigen Kaufverhaltens.
                                        Des Weiteren können durch Rabatte weniger gut laufende Produkte in den
                                        Vordergrund gerückt du vergünstigt angeboten werden.
                                        Zusätzlich dazu können sich gut verkaufende Produkte mit einem (vermeintlich)
                                        verringerten Preis versehen werden. Dies kann beim Kunden den „inneren
                                        Schnäppchenjäger“ wecken und dafür sorgen, dass er sich dieses gute Angebot
                                        nicht entgehen lassen kann.
                                        <br>
                                        <br>
                                        Analysen, die zur Platzierung von Rabatten nützlich sein können:
                                        Wochenübersicht, Einkaufszeiten, Verkaufszahlen
                                    </p>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col s12 m6">
                        <div id="marketing_tip_2" class="card white">
                            <div class="card-content">
                                <div class="center">
                                    <span class="card-title center">Produktplatzierung </span>
                                </div>
                                <div>
                                    <p>
                                        Es gibt bestimmte Produkte, die werden häufig zusammen erworben. Sind diese
                                        Produkte quer durch den Laden verstreut, so müssen die Kunden zusätzlich zu
                                        ihren Wunschprodukten auch an anderen Auslagen vorbei und die Anzahl an
                                        Spontankäufen eben jener weiteren Produkte steigt.
                                        <br>
                                        <br>
                                        Analysen, die bei der Produktplatzierung hilfreich sein könnten:
                                        Warenkorbsanalyse, Verkaufszahlen
                                    </p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>


<%@include file="footer.jsp" %>